curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/funding_events{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z",
"total_items": 123,
"page_number": 123,
"page_size": 123,
"max_page_size": 123,
"sort_by": "<string>",
"sort_order": "asc",
"total_pages": 123
},
"response_type": "object",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "100000",
"direction": "deposit",
"event_type": "charge_deposit",
"payment_count": 123,
"transfer_date": "2023-12-25",
"trace_numbers": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"trace_ids": {},
"trace_number": "<string>",
"status": "created",
"status_details": {
"message": "Bank account sucesfully validated",
"reason": "insufficient_funds",
"source": "watchtower",
"changed_at": "2023-11-07T05:31:56Z",
"code": "<string>"
}
}
]
}Use this endpoint to list or search for funding events using filters or query parameters
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/funding_events{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z",
"total_items": 123,
"page_number": 123,
"page_size": 123,
"max_page_size": 123,
"sort_by": "<string>",
"sort_order": "asc",
"total_pages": 123
},
"response_type": "object",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "100000",
"direction": "deposit",
"event_type": "charge_deposit",
"payment_count": 123,
"transfer_date": "2023-12-25",
"trace_numbers": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"trace_ids": {},
"trace_number": "<string>",
"status": "created",
"status_details": {
"message": "Bank account sucesfully validated",
"reason": "insufficient_funds",
"source": "watchtower",
"changed_at": "2023-11-07T05:31:56Z",
"code": "<string>"
}
}
]
}Use your Straddle API Key in the Authorization header as Bearer
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Results page number. Starts at page 1.
Results page size. Max value: 1000
The field to sort the results by.
transfer_date, id, amount The order in which to sort the results.
asc, desc The start date of the range to filter by using the YYYY-MM-DD format.
The end date of the range to filter by using the YYYY-MM-DD format.
Describes the direction of the funding event from the perspective of the linked_bank_account.
deposit, withdrawal The funding event types describes the direction and reason for the funding event.
charge_deposit, charge_reversal, payout_return, payout_withdrawal Trace number.
Search text.
Funding Event status. Payment status.
The current status of the charge or payout.
created, scheduled, failed, cancelled, on_hold, pending, paid, reversed Trace Id.
Reason for latest payment status change.
insufficient_funds, closed_bank_account, invalid_bank_account, invalid_routing, disputed, payment_stopped, owner_deceased, frozen_bank_account, risk_review, fraudulent, duplicate_entry, invalid_paykey, payment_blocked, amount_too_large, too_many_attempts, internal_system_error, user_request, ok, other_network_return, payout_refused, cancel_request, failed_verification, require_review, blocked_by_system, watchtower_review Source of latest payment status change.
watchtower, bank_decline, customer_dispute, user_action, system OK
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?